MWAWPictBitmap Class Reference documentation

Public Types | Public Member Functions | Protected Member Functions | List of all members
MWAWPictBitmap Class Referenceabstract

Generic class used to construct bitmap. More...

`#include <MWAWPictBitmap.hxx>`

Inheritance diagram for MWAWPictBitmap:

## Public Types
enum | SubType { BW, Indexed, Color }
| the picture subtype: blackwhite, indexed, color More...
Public Types inherited from MWAWPict
enum | Type { PictData, Bitmap, Unknown }
| the different picture types: More...
enum | ReadResult { MWAW_R_BAD =0, MWAW_R_OK, MWAW_R_OK_EMPTY, MWAW_R_MAYBE }
| an enum to defined the result of a parsing use by some picture's classes which can read their data More...

## Public Member Functions
| ~MWAWPictBitmap () override
| destructor More...
Type | getType () const override
| returns the picture type More...
virtual SubType | getSubType () const =0
| returns the picture subtype More...
bool | getBinary (MWAWEmbeddedObject &picture) const override
| returns the final picture More...
virtual bool | valid () const
| returns true if the picture is valid More...
int | cmp (MWAWPict const &a) const override
| a virtual function used to obtain a strict order, must be redefined in the subs class More...
Public Member Functions inherited from MWAWPict
virtual | ~MWAWPict ()
| virtual destructor More...
MWAWBox2f | getBdBox () const
| returns the bdbox of the picture More...
void | setBdBox (MWAWBox2f const &box)
| sets the bdbox of the picture More...

## Protected Member Functions
virtual bool | createFileData (librevenge::RVNGBinaryData &result) const =0
| abstract function which creates the result file More...
| MWAWPictBitmap (MWAWVec2i const &sz)
| protected constructor: use check to construct a picture More...
Protected Member Functions inherited from MWAWPict
void | extendBDBox (float val)
| udaptes the bdbox, by extended it by (val-previousVal) More...
| MWAWPict ()
| protected constructor must not be called directly More...
| MWAWPict (MWAWPict const &p)
| protected constructor must not be called directly More...
MWAWPict & | operator= (MWAWPict const &p)
| protected operator= must not be called directly More...

## Additional Inherited Members
Static Protected Member Functions inherited from MWAWPict
static MWAWBox2f | getBdBox (int numPt, MWAWVec2f const *pt)
| computes the minimum and maximum of a list of point More...

## Detailed Description

Generic class used to construct bitmap.

## Member Enumeration Documentation

## ◆ SubType

enum MWAWPictBitmap::SubType

the picture subtype: blackwhite, indexed, color

Enumerator
BW |
Indexed |
Color |

## Constructor & Destructor Documentation

## ◆ ~MWAWPictBitmap()

MWAWPictBitmap::~MWAWPictBitmap | ( |  | ) |
| override

destructor

## ◆ MWAWPictBitmap()

MWAWPictBitmap::MWAWPictBitmap | ( | MWAWVec2i const & | sz | ) |
| inlineexplicitprotected

protected constructor: use check to construct a picture

## Member Function Documentation

## ◆ cmp()

int MWAWPictBitmap::cmp | ( | MWAWPict const & | a | ) | const
| inlineoverridevirtual

a virtual function used to obtain a strict order, must be redefined in the subs class

Reimplemented from MWAWPict.

Reimplemented in MWAWPictBitmapColor, MWAWPictBitmapIndexed, and MWAWPictBitmapBW.

Referenced by MWAWPictBitmapBW::cmp(), MWAWPictBitmapIndexed::cmp(), and MWAWPictBitmapColor::cmp().

## ◆ createFileData()

virtual bool MWAWPictBitmap::createFileData | ( | librevenge::RVNGBinaryData & | result | ) | const
| protectedpure virtual

abstract function which creates the result file

Implemented in MWAWPictBitmapColor, MWAWPictBitmapIndexed, and MWAWPictBitmapBW.

## ◆ getBinary()

bool MWAWPictBitmap::getBinary | ( | MWAWEmbeddedObject & | picture | ) | const
| inlineoverridevirtual

returns the final picture

Reimplemented from MWAWPict.

Referenced by MWAWGraphicStyle::Pattern::getBinary(), MacDrawProStyleManager::readColorPatterns(), MacDrawParser::sendBitmap(), MacDraftParser::sendBitmap(), and RagTimeParser::sendBitmap().

## ◆ getSubType()

virtual SubType MWAWPictBitmap::getSubType | ( |  | ) | const
| pure virtual

returns the picture subtype

Implemented in MWAWPictBitmapColor, MWAWPictBitmapIndexed, and MWAWPictBitmapBW.

Referenced by cmp().

## ◆ getType()

Type MWAWPictBitmap::getType | ( |  | ) | const
| inlineoverridevirtual

returns the picture type

Implements MWAWPict.

## ◆ valid()

virtual bool MWAWPictBitmap::valid | ( |  | ) | const
| inlinevirtual

returns true if the picture is valid

Reimplemented in MWAWPictBitmapColor, MWAWPictBitmapIndexed, and MWAWPictBitmapBW.

The documentation for this class was generated from the following files:

- MWAWPictBitmap.hxx
- MWAWPictBitmap.cxx